from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSortable(XInterface, Protocol):
    def createSortDescriptor(self) -> list[PropertyValue]: ...
    def sort(self, xDescriptor: PropertyValue >) -> None: ...
